
local player = {}
 
function CheckCollision(x1,y1,w1,h1, x2,y2,w2,h2)--
 local bx1,by1,bx2, by2 = x1 + w1 ,y1 + h1, x2 + w2, y2 + h2
 return x1 < x2+w2 and
   x2 < x1+w1 and
    y1 < y2+h2 and
    y2 < y1+h1
end 

function love.load()

  font = love.graphics.newImageFont( 'font_example.png', ' ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789' )
  loop = 0
  player.pv = 6
  up = 0
  down = 0
  left = 0
  right = 0

  animation1 = 0
  animation2 = 5
  animation3 = 10


  Hero = love.graphics.newImage("Sprite_hero down 1.png")
  Bidoofsprite = love.graphics.newImage("autres sprites/gloupti2.png")
  backgroung = love.graphics.newImage("backgroung.png")

  player.width = 30
  player.height = 30
  player.x = love.graphics.getWidth()/2-player.width/2
  player.y = love.graphics.getHeight()/2-player.height/2
  player.speed = 180
  player.bump = 10


  shape = {}
  shape.x = 220
  shape.y = 50
  shape.wid = 32
  shape.hei = 32
  shape.speed = 0.009

end

function love.update(dt)
  loop = loop + 0.5
  if (loop > animation3) then
  loop = 0
  end

    shape.x = shape.x + ((player.x - shape.x)*shape.speed)
    shape.y = shape.y + ((player.y - shape.y)*shape.speed)

   if (loop == animation2) then
    Bidoofsprite = love.graphics.newImage("autres sprites/gloupti2.png")
     elseif (loop == animation3) then
    Bidoofsprite = love.graphics.newImage("autres sprites/gloupti2.png")
     elseif (loop == animation1) then
    Bidoofsprite = love.graphics.newImage("autres sprites/gloupti3.png")
  end

  if love.keyboard.isDown("up") then 
  player.y = player.y - player.speed * dt 
    if (loop == animation2) then
    Hero = love.graphics.newImage("autres sprites/sprites up/Sprite_hero up2.png")
     elseif (loop == animation3) then
    Hero = love.graphics.newImage("autres sprites/sprites up/Sprite_hero up3.png")
     elseif (loop == animation1) then
    Hero = love.graphics.newImage("autres sprites/sprites up/Sprite_hero up1.png")
    end
  end
  if love.keyboard.isDown("down") then 
    player.y = player.y + player.speed * dt 
     if (loop == animation2) then
    Hero = love.graphics.newImage("Sprite_hero down 2.png")
     elseif (loop == animation3) then
    Hero = love.graphics.newImage("Sprite_hero down 3.png")
     elseif (loop == animation1) then
    Hero = love.graphics.newImage("Sprite_hero down 1.png")
    end
  end
  if love.keyboard.isDown("left") then 
    player.x = player.x - player.speed * dt 
   if (loop == animation2) then
    Hero = love.graphics.newImage("autres sprites/sprites gauche/gauche1.png")
     elseif (loop == animation3) then
    Hero = love.graphics.newImage("autres sprites/sprites gauche/gauche2.png")
     elseif (loop == animation1) then
    Hero = love.graphics.newImage("autres sprites/sprites gauche/gauche3.png")
    end
  end
  if love.keyboard.isDown("right") then 
    player.x = player.x + player.speed * dt 
       if (loop == animation2) then
    Hero = love.graphics.newImage("autres sprites/sprites droite/droite1.png")
     elseif (loop == animation3) then
    Hero = love.graphics.newImage("autres sprites/sprites droite/droite2.png")
     elseif (loop == animation1) then
    Hero = love.graphics.newImage("autres sprites/sprites droite/droite3.png")
     end
  end

   if (player.pv > 0)then
    if CheckCollision (player.x + 19, player.y + 13, 20, 1, shape.x, shape.y, shape.wid ,shape.hei)then
      up = 1
-- x1,y1,w1,h1, x2,y2,w2,h2 ]--- 
    
       player.y = player.y - player.bump*3
       shape.y = shape.y + player.bump*3
       player.pv = player.pv - 1

    else
     up = 0
    end

    if CheckCollision (player.x + 17, player.y + 14, 1, 20, shape.x, shape.y, shape.wid ,shape.hei)then
      left = 1 
-- x1,y1,w1,h1, x2,y2,w2,h2 ]--- 
       player.x = player.x + player.bump*3
       shape.x = shape.x - player.bump*3
       player.pv = player.pv - 1
     else 
      left = 0
    end


    if CheckCollision (player.x + 40, player.y + 14, 1, 20, shape.x, shape.y,shape.wid, shape.hei)then
      right = 1 
-- x1,y1,w1,h1, x2,y2,w2,h2 ]--- 
       player.x = player.x - player.bump*3
       shape.x = shape.x + player.bump*3
       player.pv = player.pv - 1

     else
     right = 0

    end
if CheckCollision (player.x + 19, player.y + 35, 20, 1, shape.x, shape.y, shape.wid ,shape.hei)then
      down = 1 
-- x1,y1,w1,h1, x2,y2,w2,h2 ]--- 
       player.y = player.y + player.bump*3
       shape.y = shape.y - player.bump*3
       player.pv = player.pv - 1

    else
      down = 0
    end
   end
end

function love.draw()
    for i = 0, love.graphics.getWidth() / backgroung:getWidth() do
    for j = 0, love.graphics.getHeight() / backgroung:getHeight() do
     love.graphics.draw(backgroung, i * backgroung:getWidth(), j * backgroung:getHeight())
    end
   end
    love.graphics.scale(1.8, 1.8)
    if (player.pv > 0)then
    love.graphics.draw(Hero, player.x, player.y) 
    end
    love.graphics.setColor(255, 255, 255, 255)
    love.graphics.draw(Bidoofsprite, shape.x, shape.y)
    if (fired == true) then
    love.graphics.rectangle("fill", bullet.x, bullet.y, 10, 10)
    end
    love.graphics.setFont( font )
    love.graphics.print( 'YOU MUST DEFEAT ALL ENEMIES.',0 , 0 )
    love.graphics.print( 'Try not to die.', 0, 15)
    love.graphics.print(player.pv, 0, 20)
end

function love.keypressed(key)
  if key == "escape" then love.event.quit() end
end
